summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-08-21 10:58:32 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-08-21 10:58:32 +0200
commit7aa4071bc7f49b56aaf194fbe733fd87491e95f3 (patch)
tree739bc9e980a3e0e6cc4958a1e027c332f022d7c4
parentmedia-fonts/terminus-font: Use python-any-r1 eclass instead of python-r1 (diff)
downloadgentoo-7aa4071bc7f49b56aaf194fbe733fd87491e95f3.tar.gz
gentoo-7aa4071bc7f49b56aaf194fbe733fd87491e95f3.tar.bz2
gentoo-7aa4071bc7f49b56aaf194fbe733fd87491e95f3.zip
app-text/mandoc: Bump to version 1.14.3
Package-Manager: Portage-2.3.8, Repoman-2.3.3
-rw-r--r--app-text/mandoc/Manifest1
-rw-r--r--app-text/mandoc/mandoc-1.14.3.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/app-text/mandoc/Manifest b/app-text/mandoc/Manifest
index 96ad7594bd1..a4832910f05 100644
--- a/app-text/mandoc/Manifest
+++ b/app-text/mandoc/Manifest
@@ -1 +1,2 @@
+DIST mandoc-1.14.3.tar.gz 617202 SHA256 0b0c8f67958c1569ead4b690680c337984b879dfd2ad4648d96924332fd99528 SHA512 cd638fbacb068fcd6191f2a4e941effc010e3ebf06a3e32847b892c2e561771d03d5bca8fbdf8434d6491f4b68df3f443e2568b79193b7342044fba476fcd30b WHIRLPOOL 1aece4e6735008992450167a55274bf0ea97c064c33adb252343a031d18416ff951ceacce9f8c86118ebe63711302ec09ce7b4e495b1cb9f3f383af8b8219c50
DIST mdocml-1.14.1.tar.gz 549302 SHA256 356954f141ec6f5635e938c826f2e16e4619bb361c64d84a31f6775d030a615b SHA512 90f00297d162faa404fe4e530f95422c210b8d23a0be5a115c2c8c17255d366e224444901842affb06ed8aaf8febd3e5c79966ff713fa7daf00e8c48b7a857c6 WHIRLPOOL 28f67bd250d8fe7730bb6906b4dd9fc67362e36af23c2fd43d2109f0db2eb227db023b12b946d0a71e198b3f199665b21e935a016f577c4f35fa0b732e9918d3
diff --git a/app-text/mandoc/mandoc-1.14.3.ebuild b/app-text/mandoc/mandoc-1.14.3.ebuild
new file mode 100644
index 00000000000..03733561e79
--- /dev/null
+++ b/app-text/mandoc/mandoc-1.14.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit multilib toolchain-funcs
+
+DESCRIPTION="Suite of tools compiling mdoc and man"
+HOMEPAGE="http://mdocml.bsd.lv/"
+SRC_URI="http://mdocml.bsd.lv/snapshots/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sqlite static"
+
+LIB_DEPEND="sys-libs/zlib[static-libs(+)]
+ sqlite? ( dev-db/sqlite:3[static-libs(+)] )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+ static? ( ${LIB_DEPEND} )"
+
+src_prepare() {
+ default
+
+ # The db-install change is to support parallel installs.
+ sed -i \
+ -e '/ar rs/s:ar:$(AR):' \
+ -e '/^db-install:/s:$: base-install:' \
+ Makefile || die
+
+ cat <<-EOF > "configure.local"
+ PREFIX="${EPREFIX}/usr"
+ BINDIR="${EPREFIX}/usr/bin"
+ SBINDIR="${EPREFIX}/usr/sbin"
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ MANDIR="${EPREFIX}/usr/share/man"
+ INCLUDEDIR="${EPREFIX}/usr/include/mandoc"
+ EXAMPLEDIR="${EPREFIX}/usr/share/examples/mandoc"
+ MANPATH_DEFAULT="${EPREFIX}/usr/man:${EPREFIX}/usr/share/man:${EPREFIX}/usr/local/man:${EPREFIX}/usr/local/share/man"
+
+ BINM_MAN=mman
+ BINM_SOELIM=msoelim
+ BINM_APROPOS=mapropos
+ BINM_WHATIS=mwhatis
+ BINM_MAKEWHATIS=mmakewhatis
+ MANM_MAN=mandoc_man
+ MANM_MDOC=mandoc_mdoc
+ MANM_ROFF=mandoc_roff
+ MANM_EQN=mandoc_eqn
+ MANM_TBL=mandoc_tbl
+ MANM_MANCONF=mman.conf
+
+ HAVE_SQLITE3="$(usex sqlite 1 0)"
+
+ CFLAGS="${CFLAGS} ${CPPFLAGS}"
+ LDFLAGS="${LDFLAGS} $(usex static -static '')"
+ AR="$(tc-getAR)"
+ CC="$(tc-getCC)"
+ # The STATIC variable is only used by man.cgi.
+ STATIC=
+ EOF
+}